@charset "UTF-8";
@import url("//use.fontawesome.com/releases/v5.7.2/css/all.css");
/* mixins
------------------------------------------------------- */
/* 色指定
------------------------------------------------------- */
@-webkit-keyframes opTxtAnime {
  0% {
    opacity: 0;
    -webkit-transform: scale(0.5);
            transform: scale(0.5);
    -webkit-filter: drop-shadow(0px 0px 3px rgba(255, 255, 255, 0));
            filter: drop-shadow(0px 0px 3px rgba(255, 255, 255, 0));
  }
  30% {
    opacity: 1;
    -webkit-transform: scale(1.2);
            transform: scale(1.2);
    -webkit-filter: drop-shadow(0px 0px 3px rgb(255, 255, 255));
            filter: drop-shadow(0px 0px 3px rgb(255, 255, 255));
  }
  100% {
    opacity: 1;
    -webkit-transform: scale(1);
            transform: scale(1);
    -webkit-filter: drop-shadow(0px 0px 3px rgba(255, 255, 255, 0));
            filter: drop-shadow(0px 0px 3px rgba(255, 255, 255, 0));
  }
}
@keyframes opTxtAnime {
  0% {
    opacity: 0;
    -webkit-transform: scale(0.5);
            transform: scale(0.5);
    -webkit-filter: drop-shadow(0px 0px 3px rgba(255, 255, 255, 0));
            filter: drop-shadow(0px 0px 3px rgba(255, 255, 255, 0));
  }
  30% {
    opacity: 1;
    -webkit-transform: scale(1.2);
            transform: scale(1.2);
    -webkit-filter: drop-shadow(0px 0px 3px rgb(255, 255, 255));
            filter: drop-shadow(0px 0px 3px rgb(255, 255, 255));
  }
  100% {
    opacity: 1;
    -webkit-transform: scale(1);
            transform: scale(1);
    -webkit-filter: drop-shadow(0px 0px 3px rgba(255, 255, 255, 0));
            filter: drop-shadow(0px 0px 3px rgba(255, 255, 255, 0));
  }
}
@-webkit-keyframes opCatchAnime {
  0% {
    opacity: 0;
    -webkit-transform: translateY(10px);
            transform: translateY(10px);
  }
  100% {
    opacity: 1;
    -webkit-transform: translateY(0);
            transform: translateY(0);
  }
}
@keyframes opCatchAnime {
  0% {
    opacity: 0;
    -webkit-transform: translateY(10px);
            transform: translateY(10px);
  }
  100% {
    opacity: 1;
    -webkit-transform: translateY(0);
            transform: translateY(0);
  }
}
@-webkit-keyframes fadeInWipeLeft {
  0% {
    -webkit-mask-position: 100% 0;
            mask-position: 100% 0;
  }
  100% {
    -webkit-mask-position: 0% 0;
            mask-position: 0% 0;
  }
}
@keyframes fadeInWipeLeft {
  0% {
    -webkit-mask-position: 100% 0;
            mask-position: 100% 0;
  }
  100% {
    -webkit-mask-position: 0% 0;
            mask-position: 0% 0;
  }
}
@-webkit-keyframes fadeInWipeTop {
  0% {
    opacity: 0;
    -webkit-mask-position: 0 100%;
            mask-position: 0 100%;
  }
  5% {
    opacity: 1;
    -webkit-mask-position: 0 100%;
            mask-position: 0 100%;
  }
  100% {
    opacity: 1;
    -webkit-mask-position: 0 0;
            mask-position: 0 0;
  }
}
@keyframes fadeInWipeTop {
  0% {
    opacity: 0;
    -webkit-mask-position: 0 100%;
            mask-position: 0 100%;
  }
  5% {
    opacity: 1;
    -webkit-mask-position: 0 100%;
            mask-position: 0 100%;
  }
  100% {
    opacity: 1;
    -webkit-mask-position: 0 0;
            mask-position: 0 0;
  }
}
@-webkit-keyframes opTextColorWhite {
  0% {
    color: #000;
    -webkit-filter: drop-shadow(0 0 0 rgba(0, 0, 0, 0));
            filter: drop-shadow(0 0 0 rgba(0, 0, 0, 0));
  }
  100% {
    color: #fff;
    -webkit-filter: drop-shadow(0 0 10px rgba(0, 0, 0, 0.8));
            filter: drop-shadow(0 0 10px rgba(0, 0, 0, 0.8));
  }
}
@keyframes opTextColorWhite {
  0% {
    color: #000;
    -webkit-filter: drop-shadow(0 0 0 rgba(0, 0, 0, 0));
            filter: drop-shadow(0 0 0 rgba(0, 0, 0, 0));
  }
  100% {
    color: #fff;
    -webkit-filter: drop-shadow(0 0 10px rgba(0, 0, 0, 0.8));
            filter: drop-shadow(0 0 10px rgba(0, 0, 0, 0.8));
  }
}
@-webkit-keyframes slideRight {
  0% {
    -webkit-transform: translateX(0);
            transform: translateX(0);
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  100% {
    -webkit-transform: translateX(-18%);
            transform: translateX(-18%);
    opacity: 1;
  }
}
@keyframes slideRight {
  0% {
    -webkit-transform: translateX(0);
            transform: translateX(0);
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  100% {
    -webkit-transform: translateX(-18%);
            transform: translateX(-18%);
    opacity: 1;
  }
}
@-webkit-keyframes slideRightLong {
  0% {
    -webkit-transform: translateX(-5%);
            transform: translateX(-5%);
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  100% {
    -webkit-transform: translateX(-62%);
            transform: translateX(-62%);
    opacity: 1;
  }
}
@keyframes slideRightLong {
  0% {
    -webkit-transform: translateX(-5%);
            transform: translateX(-5%);
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  100% {
    -webkit-transform: translateX(-62%);
            transform: translateX(-62%);
    opacity: 1;
  }
}
@-webkit-keyframes ZoomOut {
  0% {
    -webkit-transform: scale(1.2);
            transform: scale(1.2);
    opacity: 0;
  }
  20% {
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(1);
            transform: scale(1);
    opacity: 1;
  }
}
@keyframes ZoomOut {
  0% {
    -webkit-transform: scale(1.2);
            transform: scale(1.2);
    opacity: 0;
  }
  20% {
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(1);
            transform: scale(1);
    opacity: 1;
  }
}
@-webkit-keyframes slideUp {
  0% {
    -webkit-transform: translateY(-16%);
            transform: translateY(-16%);
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  100% {
    -webkit-transform: translateY(0);
            transform: translateY(0);
    opacity: 1;
  }
}
@keyframes slideUp {
  0% {
    -webkit-transform: translateY(-16%);
            transform: translateY(-16%);
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  100% {
    -webkit-transform: translateY(0);
            transform: translateY(0);
    opacity: 1;
  }
}
@-webkit-keyframes slideUpLong {
  0% {
    -webkit-transform: translateY(-32%);
            transform: translateY(-32%);
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  100% {
    -webkit-transform: translateY(0);
            transform: translateY(0);
    opacity: 1;
  }
}
@keyframes slideUpLong {
  0% {
    -webkit-transform: translateY(-32%);
            transform: translateY(-32%);
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  100% {
    -webkit-transform: translateY(0);
            transform: translateY(0);
    opacity: 1;
  }
}
@-webkit-keyframes slideDown {
  0% {
    -webkit-transform: translateY(0);
            transform: translateY(0);
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  100% {
    -webkit-transform: translateY(-12%);
            transform: translateY(-12%);
    opacity: 1;
  }
}
@keyframes slideDown {
  0% {
    -webkit-transform: translateY(0);
            transform: translateY(0);
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  100% {
    -webkit-transform: translateY(-12%);
            transform: translateY(-12%);
    opacity: 1;
  }
}
@-webkit-keyframes ZoomIn {
  0% {
    -webkit-transform: scale(1);
            transform: scale(1);
    opacity: 0;
  }
  20% {
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(1.2);
            transform: scale(1.2);
    opacity: 1;
  }
}
@keyframes ZoomIn {
  0% {
    -webkit-transform: scale(1);
            transform: scale(1);
    opacity: 0;
  }
  20% {
    opacity: 1;
  }
  100% {
    -webkit-transform: scale(1.2);
            transform: scale(1.2);
    opacity: 1;
  }
}
@-webkit-keyframes slideLeft {
  0% {
    -webkit-transform: translateX(0);
            transform: translateX(0);
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  100% {
    -webkit-transform: translateX(-20%);
            transform: translateX(-20%);
    opacity: 1;
  }
}
@keyframes slideLeft {
  0% {
    -webkit-transform: translateX(0);
            transform: translateX(0);
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  100% {
    -webkit-transform: translateX(-20%);
            transform: translateX(-20%);
    opacity: 1;
  }
}
@-webkit-keyframes fadeInFillOpacity {
  0% {
    visibility: hidden;
    fill-opacity: 0;
  }
  100% {
    visibility: visible;
    fill-opacity: 1;
  }
}
@keyframes fadeInFillOpacity {
  0% {
    visibility: hidden;
    fill-opacity: 0;
  }
  100% {
    visibility: visible;
    fill-opacity: 1;
  }
}
@-webkit-keyframes drawLine {
  0% {
    stroke-dashoffset: 1000;
  }
  100% {
    stroke-dashoffset: 0;
  }
}
@keyframes drawLine {
  0% {
    stroke-dashoffset: 1000;
  }
  100% {
    stroke-dashoffset: 0;
  }
}
@-webkit-keyframes fadeInall {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@keyframes fadeInall {
  0% {
    opacity: 0;
  }
  100% {
    opacity: 1;
  }
}
@-webkit-keyframes fadeInOut {
  0% {
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  50% {
    opacity: 1;
  }
  90% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@keyframes fadeInOut {
  0% {
    opacity: 0;
  }
  10% {
    opacity: 1;
  }
  50% {
    opacity: 1;
  }
  90% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@-webkit-keyframes fadeOutall {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@keyframes fadeOutall {
  0% {
    opacity: 1;
  }
  100% {
    opacity: 0;
  }
}
@-webkit-keyframes fadein {
  100% {
    opacity: 1;
    -webkit-transform: translate(0px, 0px);
            transform: translate(0px, 0px);
  }
}
@keyframes fadein {
  100% {
    opacity: 1;
    -webkit-transform: translate(0px, 0px);
            transform: translate(0px, 0px);
  }
}
@-webkit-keyframes menuSlideIn {
  0% {
    -webkit-transform: translate(0, 40px);
            transform: translate(0, 40px);
    opacity: 0;
  }
  100% {
    -webkit-transform: translate(0, 0);
            transform: translate(0, 0);
    opacity: 1;
  }
}
@keyframes menuSlideIn {
  0% {
    -webkit-transform: translate(0, 40px);
            transform: translate(0, 40px);
    opacity: 0;
  }
  100% {
    -webkit-transform: translate(0, 0);
            transform: translate(0, 0);
    opacity: 1;
  }
}
@-webkit-keyframes menuActive {
  0% {
    -webkit-transform: translateX(-100%);
            transform: translateX(-100%);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateX(0);
            transform: translateX(0);
    opacity: 1;
  }
}
@keyframes menuActive {
  0% {
    -webkit-transform: translateX(-100%);
            transform: translateX(-100%);
    opacity: 0;
  }
  100% {
    -webkit-transform: translateX(0);
            transform: translateX(0);
    opacity: 1;
  }
}
/*# sourceMappingURL=data:application/json;charset=utf8;base64,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 */
